Evaluation Rules
Create or update an evaluation rule
Creates a new evaluation rule, or replaces the existing rule when the identifier matches.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Параметры пути
id
string
обязательно
Unique identifier for the evaluation rule.
Параметры заголовка
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Текст запроса
Evaluation rule resource
id
string
обязательно
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
обязательно
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
обязательно
evalId
string
обязательно
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
обязательно
templateId
string
обязательно
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
обязательно
Filter by agent name.
eventType
string | enum
обязательно
Type of the evaluation rule event.
enum
enabled
boolean
обязательно
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
обязательно
System metadata for the evaluation rule.
Ответы
The request has succeeded.
Текст
id
string
обязательно
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
обязательно
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
обязательно
evalId
string
обязательно
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
обязательно
templateId
string
обязательно
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
обязательно
Filter by agent name.
eventType
string | enum
обязательно
Type of the evaluation rule event.
enum
enabled
boolean
обязательно
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
обязательно
System metadata for the evaluation rule.
Запрос
PUT /evaluationrules/{id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json